Bug 6935 - XFree86 on 24-bit, red/blue color planes swapped
XFree86 on 24-bit, red/blue color planes swapped
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-11 14:21 EST by kellyc
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 10:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kellyc 1999-11-11 14:21:21 EST
When our application is run on 24-bit with Red Hat 6.0 and XFree86 3.3.3.0
the red and blue color planes are swapped.  So if RGB is 255,0,0 you get
blue and if RGB is 0,0,255 you get red.

We don't get this behavior on UNIX or Windows. (Yes, I know one's an OS and
the other's a windowing system.)

Is this fixed in XFree86 3.3.5.0?

If it's not an XFree86 problem do you have any clue why this would happen?

Thanks!
Comment 1 Preston Brown 2000-01-18 15:13:59 EST
what video card are you using?  Chances are *very* likely this was fixed in 6.1.
Comment 2 Preston Brown 2000-02-04 10:34:59 EST
another solution would be don't use 24 bit mode, use "32 bit mode".  32 bit mode
is really 24 bit color as far as X is concerned, the data is just passed to the
card differently.

Note You need to log in before you can comment on or make changes to this bug.